DL_SYMBOL(3)

EXPERIMENTAL_FUNC
dl_symbol - Lookup a symbol in loaded object.

SYNOPSIS
#include <karma_dl.h>

void * dl_symbol

(void *handle, CONST char *symbol)

DESCRIPTION
Lookup a symbol in loaded object.

handle
    A handle to the loaded object.

symbol
    The symbol to lookup.

RETURN VALUE
The address where the symbol is loaded, else NULL if it is not found.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/